<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="../style.css">
</head>
<body>

<h1>Pit Test Coverage Report</h1>
<h2>Package Summary</h2>
<h3>com.boxever.challenge.airline</h3>
<table>
    <thead>
        <tr>
            <th>Number of Classes</th>
            <th>Line Coverage</th>
            <th>Mutation Coverage</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>4</td>
            <td>99% <div class="coverage_bar"><div class="coverage_complete width-99"></div><div class="coverage_legend">76/77</div></div></td>
            <td>59% <div class="coverage_bar"><div class="coverage_complete width-59"></div><div class="coverage_legend">23/39</div></div></td>
        </tr>
    </tbody>
</table>


<h3>Breakdown by Class</h3>
<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Line Coverage</th>
            <th>Mutation Coverage</th>
        </tr>
    </thead>
    <tbody>

        <tr>
            <td><a href="./AirlineApplication.java.html">AirlineApplication.java</a></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">16/16</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">6/6</div></div></td>
        </tr>

        <tr>
            <td><a href="./AirlineGraph.java.html">AirlineGraph.java</a></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">36/36</div></div></td>
            <td><div class="coverage_percentage">33% </div><div class="coverage_bar"><div class="coverage_complete width-33"></div><div class="coverage_legend">7/21</div></div></td>
        </tr>

        <tr>
            <td><a href="./AirlinePath.java.html">AirlinePath.java</a></td>
            <td><div class="coverage_percentage">95% </div><div class="coverage_bar"><div class="coverage_complete width-95"></div><div class="coverage_legend">20/21</div></div></td>
            <td><div class="coverage_percentage">82% </div><div class="coverage_bar"><div class="coverage_complete width-82"></div><div class="coverage_legend">9/11</div></div></td>
        </tr>

        <tr>
            <td><a href="./ShortestPathFinder.java.html">ShortestPathFinder.java</a></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">4/4</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">1/1</div></div></td>
        </tr>

     </tbody>
</table>
<br/>



<hr/>

Report generated by <a href='http://pitest.org'>PIT</a> 1.5.1

</body>
</html>